USB_EP_ALIGN_MAYBE(9)

NAME
usb_ep_align_maybe - returns len aligned to ep's maxpacketsize if gadget requires quirk_ep_out_aligned_size, otherwise reguens len.

SYNOPSIS

size_t usb_ep_align_maybe(struct usb_gadget * g, struct usb_ep * ep, size_t len);

ARGUMENTS

g
    controller to check for quirk

ep
    the endpoint whose maxpacketsize is used to align len

len
    buffer size's length to align to ep's maxpacketsize

DESCRIPTION

This helper is used in case it's required for any reason to check and maybe align buffer's size to an ep's maxpacketsize.

AUTHOR

David Brownell <dbrownell@users.sourceforge.net>
    Author.

COPYRIGHT